Package org.apache.lucene.analysis.cjk

## Class CJKWidthCharFilter

- java.lang.Object
- - java.io.Reader
  - - org.apache.lucene.analysis.CharFilter
    - - org.apache.lucene.analysis.charfilter.BaseCharFilter
      - - org.apache.lucene.analysis.cjk.CJKWidthCharFilter

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `Readable`

      public class CJKWidthCharFilter
      extends BaseCharFilter

  A `CharFilter` that normalizes CJK width differences:
  - Folds fullwidth ASCII variants into the equivalent basic latin
  - Folds halfwidth Katakana variants into the equivalent kana

  NOTE: this char filter is the exact counterpart of `CJKWidthFilter`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.CharFilter

      `input`

    - ### Fields inherited from class java.io.Reader

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CJKWidthCharFilter​(Reader in)` | Default constructor that takes a `Reader`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `read()` |
    `int` | `read​(char[] cbuf, int off, int len)` |

    - ### Methods inherited from class org.apache.lucene.analysis.charfilter.BaseCharFilter

      `addOffCorrectMap, correct, getLastCumulativeDiff`

    - ### Methods inherited from class org.apache.lucene.analysis.CharFilter

      `close, correctOffset`

    - ### Methods inherited from class java.io.Reader

      `mark, markSupported, nullReader, read, read, ready, reset, skip, transferTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CJKWidthCharFilter

          public CJKWidthCharFilter​(Reader in)

      Default constructor that takes a `Reader`.

  - ### Method Detail

    - #### read

          public int read()
                   throws IOException

      Overrides:
        `read` in class `Reader`
      Throws:
        `IOException`

    - #### read

          public int read​(char[] cbuf,
                          int off,
                          int len)
                   throws IOException

      Specified by:
        `read` in class `Reader`
      Throws:
        `IOException`